%global _empty_manifest_terminate_build 0
Name:		python-async-generator
Version:	1.10
Release:	1
Summary:	Async generators and context managers for Python 3.5+
License:	MIT -or- Apache License 2.0
URL:		https://github.com/python-trio/async_generator
Source0:	https://files.pythonhosted.org/packages/ce/b6/6fa6b3b598a03cba5e80f829e0dadbb49d7645f523d209b2fb7ea0bbb02a/async_generator-1.10.tar.gz
BuildArch:	noarch


%description
Async generators and context managers for Python 3.5+

%package -n python3-async-generator
Summary:	Async generators and context managers for Python 3.5+
Provides:	python-async-generator
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-async-generator
Async generators and context managers for Python 3.5+

%package help
Summary:	Development documents and examples for async_generator
Provides:	python3-async-generator-doc
%description help
Async generators and context managers for Python 3.5+

%prep
%autosetup -n async_generator-1.10

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-async-generator -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
